import hasRole from './permission/hasRole';
import hasPermi from './permission/hasPermi';
import copyText from './common/copyText';
import disabledReq from './common/disabledReq';

export default function directive(app: any) {
    app.directive('hasRole', hasRole);
    app.directive('hasPermi', hasPermi);
    app.directive('copyText', copyText);
    app.directive('preventReClick', disabledReq);
}
